> ## Documentation Index
> Fetch the complete documentation index at: https://hmis-docs.derrickmugabwa.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List appointments for a clinic-visible patient



## OpenAPI

````yaml /openapi-staff.yaml get /patients/{patient}/appointments
openapi: 3.1.0
info:
  title: HMIS Staff Workflow API
  version: 1.0.0
  description: >-
    Clinic-scoped patient registration, appointments, outpatient visits, and
    clinical workspace operations.
servers:
  - url: https://jaliprohmis.derrickmugabwa.dev/api/v1
    description: HMIS staging API
security:
  - bearerAuth: []
tags:
  - name: Staff patients
  - name: Staff appointments
  - name: Staff outpatient visits
  - name: Staff clinical workspace
paths:
  /patients/{patient}/appointments:
    get:
      tags:
        - Staff appointments
      summary: List appointments for a clinic-visible patient
      operationId: listStaffPatientAppointments
      parameters:
        - $ref: '#/components/parameters/PatientId'
        - $ref: '#/components/parameters/Page'
        - $ref: '#/components/parameters/PerPage'
      responses:
        '200':
          $ref: '#/components/responses/PaginatedResponse'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  parameters:
    PatientId:
      name: patient
      in: path
      required: true
      schema:
        type: integer
    Page:
      name: page
      in: query
      required: false
      schema:
        type: integer
        minimum: 1
        default: 1
    PerPage:
      name: per_page
      in: query
      required: false
      schema:
        type: integer
        minimum: 1
        maximum: 50
        default: 25
  responses:
    PaginatedResponse:
      description: Paginated resource collection returned.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/PaginatedEnvelope'
    NotFound:
      description: >-
        Resource is outside the authenticated staff clinic scope or does not
        exist.
  schemas:
    PaginatedEnvelope:
      allOf:
        - $ref: '#/components/schemas/CollectionEnvelope'
        - type: object
          properties:
            links:
              type: object
              additionalProperties: true
            meta:
              type: object
              additionalProperties: true
    CollectionEnvelope:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Sanctum staff token

````